
QGIS Application - Bug report #8889

Slow "selection" of features

2013-10-17 06:42 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 17568

Description

I have two layers in my project:

1) An oracle layer with 32 features.

2) A shapefile with 53345 features.

If I have the shapefile enabled and displayed (all features are on-screen), then any time I use the selection tool to select a oracle feature,

QGIS takes a second or so to actually select it. I suspect QGIS is re-rendering the shapefile (it's fully styled); even when the features I've

selected have absolutely no overlap with the shapefile (thus QGIS shouldn't need to).

If I disable the shapefile, or pan off screen from it, selection works fine and fast.

Related issues:

Related to QGIS Application - Feature request # 2037: Enable multi-threaded r... Closed

History

#1 - 2014-06-21 01:32 PM - Jürgen Fischer

- Category set to Vectors

#2 - 2016-10-10 04:38 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Not an issue in current versions
